This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 4481 - when accessing a rh6.0 machine from behind a firewall disconnect after a maximum of 30 minutes idle
when accessing a rh6.0 machine from behind a firewall disconnect after a maxi...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-11 15:16 EDT by torbin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-05 02:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description torbin 1999-08-11 15:16:56 EDT
Recently upgraded a server from Redhat 5.2 to Redhat 6.0.
The server is in front of the local firewall machine and
when telnetting from behind the firewall will be
disconnected from the server after a maximum of 30 minutes
of being idle. If accessed from an outside source telnet is
not disconnected even after hours of being idle, also a
Redhat 5.2 machine that has not been upgraded does not
disconnect the telnet sessions from behind the firewall.
Comment 1 Preston Brown 1999-08-23 11:28:59 EDT
are you using tcsh or bash as your shell?
Comment 2 torbin 1999-09-05 02:38:59 EDT
we use bash as the default shell
Comment 3 Pekka Savola 2000-07-16 16:35:15 EDT
This is almost certainly a problem in your firewall.  For example, Linux
Firewalls disconnect idle TCP connections after certain period of time unless
keepalive messages are sent.

If the firewall in question is Linux, you might want to check out 'ipchains -M'.

Also, you could try to downgrade your 6.0 -system's telnet RPM to one from 5.2,
to see if you can isolate the problem.


Note You need to log in before you can comment on or make changes to this bug.